Subject: Re: svn versus git

From: Arkadiusz Miskiewicz <[email-masked]>
Date: Thu, 14 Dec 2006 20:00:54 +0100

On Wednesday 13 December 2006 23:00, Andy Parkins wrote:
> Hello,
>
> With all the discussion about user interface difficulties, I started to
> write a comparison with subversion document.  (I was assuming that people
> find subversion easy).  As much as I love git, I was expecting to find that
> it's hard to use interface would have subversion as the clear winner.  I
> was hoping that would then give guidance as to what could be fixed in git.
>
> I was surprised, therefore, to find that in each case I was finding that
> git was the winner.

subversion is a winner when it comes to options handling (especially --help) 
and better (error) messages. That's one of reason why people find it easy.

ps. I'm blind or there is no documentation about what utilities are needed to 
get git fully working? (like sed, coreutils, grep, rcs package (merge tool 
afaik needed)...). 

-- 
Arkadiusz Miśkiewicz        PLD/Linux Team